functionXal-class {robustbase} | R Documentation

## Class "functionXal" of Functionals (of Psi-like functions)

### Description

The class `"functionXal"` is a class of functionals (typically integrals) typically of `functionX` functions.

Since the `functionX` functions typically also depend on tuning parameters, objects of this class (`"functionXal"`) are functions of these tuning parameters.

### Slots

`.Data`:

  Directly extends class `"function"`.

### Extends

Class `"function"`, from data part. Class `"OptionalFunction"`, by class `"function"`. Class `"PossibleMethod"`, by class `"function"`.

### See Also

`psiFunc()` and the class definitions of `functionX` and `psi_func` which has several `functionXal` slots.

[Package robustbase version 0.92-8 Index]